VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL graph_video(3:0)
        SIGNAL pixadr(15:0)
        SIGNAL pixel(15:0)
        SIGNAL XLXN_1599(0:0)
        SIGNAL pixel(7:0)
        SIGNAL pixel(15:8)
        SIGNAL GXY_WR
        SIGNAL GX2(7:0)
        SIGNAL GY2(7:0)
        SIGNAL GX1(7:0)
        SIGNAL GY1(7:0)
        SIGNAL GSTARTX(7:0)
        SIGNAL GSTARTY(7:0)
        SIGNAL GSIZEX(7:0)
        SIGNAL GSIZEY(7:0)
        SIGNAL GSMALL
        SIGNAL GRIDX(7:0)
        SIGNAL GRIDY(7:0)
        SIGNAL XLXN_2049(3:0)
        SIGNAL GCMD_WR
        SIGNAL TCMD_WR
        SIGNAL GDONE
        SIGNAL XLXN_2056
        SIGNAL PLOTSYNC
        SIGNAL ADR(3:0)
        SIGNAL XLXN_2075(7:0)
        SIGNAL XLXN_2076(7:0)
        SIGNAL XLXN_2077(7:0)
        SIGNAL DATA(7:0)
        SIGNAL RST
        SIGNAL VSTART
        SIGNAL HSTART
        SIGNAL XLXN_2123
        SIGNAL XLXN_2124
        SIGNAL XLXN_2125
        SIGNAL VCOM
        SIGNAL XLXN_2137
        SIGNAL BLUE(1:0)
        SIGNAL RED(1:0)
        SIGNAL GREEN(1:0)
        SIGNAL SYSCLK50
        SIGNAL FRAMECOLOR(3:0)
        SIGNAL XLXN_2135
        SIGNAL HTICK
        SIGNAL VTICK
        SIGNAL XLXN_2152(9:0)
        SIGNAL XLXN_2151(9:0)
        SIGNAL PCLK_intern
        SIGNAL XLXN_2128
        SIGNAL XLXN_2134
        SIGNAL XLXN_2160
        SIGNAL PCLK
        SIGNAL BLINK
        SIGNAL XLXN_384
        SIGNAL XLXN_2245
        SIGNAL BTNREAD(7:0)
        SIGNAL XLXN_2283(7:0)
        SIGNAL XLXN_2284(7:0)
        SIGNAL XLXN_2285
        SIGNAL TEXTREAD(7:0)
        SIGNAL XLXN_2289(7:0)
        SIGNAL XLXN_2290(7:0)
        SIGNAL XLXN_2291(2:0)
        SIGNAL COLORREAD(3:0)
        SIGNAL XLXN_2294
        SIGNAL XLXN_2295(3:0)
        PORT Input GCMD_WR
        PORT Input TCMD_WR
        PORT Output GDONE
        PORT Output PLOTSYNC
        PORT Input ADR(3:0)
        PORT Input DATA(7:0)
        PORT Input RST
        PORT Input VSTART
        PORT Input HSTART
        PORT Input VCOM
        PORT Output BLUE(1:0)
        PORT Output RED(1:0)
        PORT Output GREEN(1:0)
        PORT Input SYSCLK50
        PORT Output VTICK
        PORT Input PCLK
        PORT Output BLINK
        PORT Output BTNREAD(7:0)
        PORT Output TEXTREAD(7:0)
        PORT Output COLORREAD(3:0)
        BEGIN BLOCKDEF cb4re
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -512 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF mid_point
            TIMESTAMP 2009 5 11 20 18 21
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 64 -448 320 40 
            RECTANGLE N 0 -204 64 -180 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -128 384 -128 
            LINE N 64 -256 0 -256 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -192 384 -192 
            LINE N 320 -256 384 -256 
            RECTANGLE N 0 -76 64 -52 
            LINE N 64 -64 0 -64 
            RECTANGLE N 0 -12 64 12 
            LINE N 64 0 0 0 
            LINE N 320 0 384 0 
        END BLOCKDEF
        BEGIN BLOCKDEF framer
            TIMESTAMP 2010 6 14 15 39 25
            LINE N 320 544 384 544 
            LINE N 64 96 0 96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 404 64 428 
            LINE N 64 416 0 416 
            RECTANGLE N 0 468 64 492 
            LINE N 64 480 0 480 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 64 -192 320 576 
            RECTANGLE N 0 148 64 172 
            LINE N 64 160 0 160 
            RECTANGLE N 0 212 64 236 
            LINE N 64 224 0 224 
            RECTANGLE N 0 276 64 300 
            LINE N 64 288 0 288 
            RECTANGLE N 0 340 64 364 
            LINE N 64 352 0 352 
            LINE N 320 32 384 32 
            LINE N 320 96 384 96 
        END BLOCKDEF
        BEGIN BLOCKDEF graph_mem
            TIMESTAMP 2009 5 11 19 51 40
            RECTANGLE N 32 48 304 384 
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 208 32 208 
            END LINE
            BEGIN LINE W 0 144 32 144 
            END LINE
            LINE N 0 256 32 256 
            BEGIN LINE W 0 352 32 352 
            END LINE
            LINE N 0 304 32 304 
            BEGIN LINE W 336 352 304 352 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF parser
            TIMESTAMP 2010 6 29 18 5 41
            RECTANGLE N 320 1172 384 1196 
            LINE N 320 1184 384 1184 
            RECTANGLE N 320 1044 384 1068 
            LINE N 320 1056 384 1056 
            RECTANGLE N 320 1108 384 1132 
            LINE N 320 1120 384 1120 
            LINE N 320 928 384 928 
            LINE N 320 416 384 416 
            RECTANGLE N 320 468 384 492 
            LINE N 320 480 384 480 
            RECTANGLE N 320 532 384 556 
            LINE N 320 544 384 544 
            RECTANGLE N 320 596 384 620 
            LINE N 320 608 384 608 
            RECTANGLE N 320 660 384 684 
            LINE N 320 672 384 672 
            RECTANGLE N 320 724 384 748 
            LINE N 320 736 384 736 
            RECTANGLE N 320 788 384 812 
            LINE N 320 800 384 800 
            LINE N 64 32 0 32 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
            LINE N 64 320 0 320 
            LINE N 64 384 0 384 
            RECTANGLE N 320 852 384 876 
            LINE N 320 864 384 864 
            RECTANGLE N 64 -992 320 1204 
            RECTANGLE N 320 -924 384 -900 
            LINE N 320 -912 384 -912 
            RECTANGLE N 320 -972 384 -948 
            LINE N 320 -960 384 -960 
            LINE N 320 -864 384 -864 
            RECTANGLE N 320 -652 384 -628 
            LINE N 320 -640 384 -640 
            RECTANGLE N 320 -556 384 -532 
            LINE N 320 -544 384 -544 
            LINE N 320 -592 384 -592 
            RECTANGLE N 320 -700 384 -676 
            LINE N 320 -688 384 -688 
            RECTANGLE N 320 -748 384 -724 
            LINE N 320 -736 384 -736 
            RECTANGLE N 320 68 384 92 
            LINE N 320 80 384 80 
        END BLOCKDEF
        BEGIN BLOCKDEF mouser
            TIMESTAMP 2010 6 15 5 21 52
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -144 384 -144 
            LINE N 320 -192 384 -192 
            LINE N 64 -320 0 -320 
            RECTANGLE N 64 -348 320 72 
            LINE N 64 -272 0 -272 
            LINE N 64 -224 0 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF tft_text
            TIMESTAMP 2010 6 28 20 57 52
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -352 0 -352 
            LINE N 448 -800 512 -800 
            LINE N 448 -736 512 -736 
            LINE N 448 -672 512 -672 
            LINE N 448 -608 512 -608 
            LINE N 448 -480 512 -480 
            LINE N 448 -416 512 -416 
            LINE N 64 -800 0 -800 
            LINE N 512 -544 448 -544 
            RECTANGLE N 448 -364 512 -340 
            LINE N 448 -352 512 -352 
            RECTANGLE N 0 -92 64 -68 
            LINE N 64 -80 0 -80 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            RECTANGLE N 0 -188 64 -164 
            LINE N 64 -176 0 -176 
            RECTANGLE N 64 -832 448 48 
            RECTANGLE N 448 -236 512 -212 
            LINE N 448 -224 512 -224 
            RECTANGLE N 0 4 64 28 
            LINE N 64 16 0 16 
            LINE N 64 -32 0 -32 
            RECTANGLE N 448 4 512 28 
            LINE N 448 16 512 16 
            RECTANGLE N 448 -188 512 -164 
            LINE N 448 -176 512 -176 
            RECTANGLE N 448 -140 512 -116 
            LINE N 448 -128 512 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF video_mixer
            TIMESTAMP 2010 6 24 18 27 28
            LINE N 64 32 0 32 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -784 0 -784 
            LINE N 64 -720 0 -720 
            RECTANGLE N 448 -556 512 -532 
            LINE N 448 -544 512 -544 
            RECTANGLE N 448 -492 512 -468 
            LINE N 448 -480 512 -480 
            RECTANGLE N 448 -428 512 -404 
            LINE N 448 -416 512 -416 
            LINE N 64 -608 0 -608 
            RECTANGLE N 64 -840 448 84 
        END BLOCKDEF
        BEGIN BLOCKDEF tft_text_bigfont
            TIMESTAMP 2010 6 29 18 4 27
            LINE N 64 -496 0 -496 
            LINE N 64 -432 0 -432 
            LINE N 64 -304 0 -304 
            LINE N 64 -240 0 -240 
            RECTANGLE N 0 -124 64 -100 
            LINE N 64 -112 0 -112 
            LINE N 448 -240 512 -240 
            LINE N 448 -176 512 -176 
            LINE N 64 -560 0 -560 
            LINE N 512 -304 448 -304 
            LINE N 448 -496 512 -496 
            RECTANGLE N 0 4 64 28 
            LINE N 64 16 0 16 
            RECTANGLE N 448 -124 512 -100 
            LINE N 448 -112 512 -112 
            RECTANGLE N 0 52 64 76 
            LINE N 64 64 0 64 
            RECTANGLE N 64 -588 448 136 
            LINE N 64 112 0 112 
        END BLOCKDEF
        BEGIN BLOCK XLXI_835 mid_point
            PIN clk SYSCLK50
            PIN reset RST
            PIN XY_wr GXY_WR
            PIN X1(7:0) GX1(7:0)
            PIN Y1(7:0) GY1(7:0)
            PIN X2(7:0) GX2(7:0)
            PIN Y2(7:0) GY2(7:0)
            PIN RAM_wr XLXN_1599(0:0)
            PIN Done XLXN_2056
            PIN X_addr(7:0) pixel(7:0)
            PIN Y_addr(7:0) pixel(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_885 parser
            PIN clk SYSCLK50
            PIN reset RST
            PIN GCMD_WR GCMD_WR
            PIN TCMD_WR TCMD_WR
            PIN plot_done XLXN_2056
            PIN CMD(3:0) ADR(3:0)
            PIN DATA(7:0) DATA(7:0)
            PIN XY_wr GXY_WR
            PIN TEXTRAM_WR XLXN_2294
            PIN BTNRAM_WR XLXN_2285
            PIN GDONE GDONE
            PIN GSMALL GSMALL
            PIN X1(7:0) GX1(7:0)
            PIN Y1(7:0) GY1(7:0)
            PIN X2(7:0) GX2(7:0)
            PIN Y2(7:0) GY2(7:0)
            PIN FRAMECOLOR(3:0) FRAMECOLOR(3:0)
            PIN GRAPHCOLOR(3:0) XLXN_2049(3:0)
            PIN TEXTCOLOR(3:0) XLXN_2295(3:0)
            PIN TEXTX(7:0) XLXN_2289(7:0)
            PIN TEXTY(7:0) XLXN_2290(7:0)
            PIN BTNX(7:0) XLXN_2283(7:0)
            PIN BTNY(7:0) XLXN_2284(7:0)
            PIN CURSTYLE(2:0) XLXN_2291(2:0)
            PIN GSTARTX(7:0) GSTARTX(7:0)
            PIN GSTARTY(7:0) GSTARTY(7:0)
            PIN GSIZEX(7:0) GSIZEX(7:0)
            PIN GSIZEY(7:0) GSIZEY(7:0)
            PIN GRIDX(7:0) GRIDX(7:0)
            PIN GRIDY(7:0) GRIDY(7:0)
            PIN MOUSEX(7:0) XLXN_2075(7:0)
            PIN MOUSEY(7:0) XLXN_2076(7:0)
            PIN MOUSESTYLE(7:0) XLXN_2077(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_894 tft_text
            PIN PCLK_i PCLK
            PIN VSTART_i VSTART
            PIN HSTART_i HSTART
            PIN RST RST
            PIN SYSCLK50 SYSCLK50
            PIN RAMDASCII(7:0) DATA(7:0)
            PIN TEXTX(7:0) XLXN_2289(7:0)
            PIN TEXTY(7:0) XLXN_2290(7:0)
            PIN CURSTYLE(2:0) XLXN_2291(2:0)
            PIN FRAME XLXN_2137
            PIN RED XLXN_2123
            PIN GREEN XLXN_2124
            PIN BLUE XLXN_2125
            PIN PCLK PCLK_intern
            PIN HTICK HTICK
            PIN VTICK VTICK
            PIN READASCII(7:0) TEXTREAD(7:0)
            PIN PIXELADR(19:0)
            PIN COLOR(3:0) XLXN_2295(3:0)
            PIN TEXTRAM_WR XLXN_2294
            PIN READCOLOR(3:0) COLORREAD(3:0)
            PIN HPIXEL(9:0) XLXN_2151(9:0)
            PIN VPIXEL(9:0) XLXN_2152(9:0)
        END BLOCK
        BEGIN BLOCK XLXI_896 video_mixer
            PIN PCLK PCLK_intern
            PIN VCOM_i VCOM
            PIN TEXT_RED XLXN_2123
            PIN TEXT_GREEN XLXN_2124
            PIN TEXT_BLUE XLXN_2125
            PIN FRAMEVALID XLXN_2137
            PIN MOUSEARROW XLXN_2134
            PIN MOUSEBORDER XLXN_2160
            PIN GRAPHGRID XLXN_2135
            PIN GRAPHFRAME XLXN_2128
            PIN GRAPHCOLOR(3:0) graph_video(3:0)
            PIN FRAMECOLOR(3:0) FRAMECOLOR(3:0)
            PIN RED(1:0) RED(1:0)
            PIN GREEN(1:0) GREEN(1:0)
            PIN BLUE(1:0) BLUE(1:0)
            PIN TEXT_BIG XLXN_2245
        END BLOCK
        BEGIN BLOCK XLXI_877 graph_mem
            PIN addra(15:0) pixel(15:0)
            PIN wea(0:0) XLXN_1599(0:0)
            PIN dina(3:0) XLXN_2049(3:0)
            PIN clka SYSCLK50
            PIN addrb(15:0) pixadr(15:0)
            PIN clkb PCLK_intern
            PIN doutb(3:0) graph_video(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_875 framer
            PIN PCLK PCLK_intern
            PIN SMALLW GSMALL
            PIN HPIXEL(9:0) XLXN_2151(9:0)
            PIN VPIXEL(9:0) XLXN_2152(9:0)
            PIN GRIDX(7:0) GRIDX(7:0)
            PIN GRIDY(7:0) GRIDY(7:0)
            PIN PLOTSYNC PLOTSYNC
            PIN GADDR(15:0) pixadr(15:0)
            PIN GSTARTX(7:0) GSTARTX(7:0)
            PIN GSTARTY(7:0) GSTARTY(7:0)
            PIN GSIZEX(7:0) GSIZEX(7:0)
            PIN GSIZEY(7:0) GSIZEY(7:0)
            PIN GRIG_ON XLXN_2135
            PIN FRAME_ON XLXN_2128
        END BLOCK
        BEGIN BLOCK XLXI_889 mouser
            PIN PCLK PCLK_intern
            PIN MOUSESTYLE(7:0) XLXN_2077(7:0)
            PIN MOUSEX(7:0) XLXN_2075(7:0)
            PIN MOUSEY(7:0) XLXN_2076(7:0)
            PIN MOUSE XLXN_2134
            PIN MOUSEBORDER XLXN_2160
            PIN HTICK HTICK
            PIN VTICK VTICK
        END BLOCK
        BEGIN BLOCK XLXI_193 vcc
            PIN P XLXN_384
        END BLOCK
        BEGIN BLOCK XLXI_192 cb4re
            PIN C PLOTSYNC
            PIN CE XLXN_384
            PIN R
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 BLINK
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_898 tft_text_bigfont
            PIN PCLK_i PCLK
            PIN VSTART_i VSTART
            PIN HSTART_i HSTART
            PIN RST RST
            PIN SYSCLK50 SYSCLK50
            PIN BTNRAM_WR XLXN_2285
            PIN RAMDASCII(7:0) DATA(7:0)
            PIN BTNX(7:0) XLXN_2283(7:0)
            PIN BTNY(7:0) XLXN_2284(7:0)
            PIN VIDEO XLXN_2245
            PIN PCLK
            PIN HTICK
            PIN VTICK
            PIN READASCII(7:0) BTNREAD(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN BRANCH graph_video(3:0)
            WIRE 3568 2816 3680 2816
            WIRE 3680 2816 3776 2816
            WIRE 3776 2816 3776 3248
            WIRE 3776 3248 4320 3248
            BEGIN DISPLAY 3680 2816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pixadr(15:0)
            WIRE 3120 2816 3232 2816
        END BRANCH
        BEGIN BRANCH pixel(15:0)
            WIRE 2032 2544 2080 2544
            WIRE 2080 2544 2128 2544
            WIRE 2128 2544 2192 2544
            WIRE 2192 2544 3232 2544
            BEGIN DISPLAY 2128 2544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1599(0:0)
            WIRE 1648 2672 3232 2672
        END BRANCH
        BEGIN BRANCH pixel(7:0)
            WIRE 1648 2736 2064 2736
            WIRE 2064 2736 2080 2736
            WIRE 2080 2640 2080 2736
            BEGIN DISPLAY 2064 2736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pixel(15:8)
            WIRE 1648 2800 2080 2800
            WIRE 2080 2800 2192 2800
            WIRE 2192 2640 2192 2800
            BEGIN DISPLAY 2080 2800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2192 2544 2192 2640
        BUSTAP 2080 2544 2080 2640
        BEGIN INSTANCE XLXI_835 1264 2928 R0
        END INSTANCE
        BEGIN BRANCH GXY_WR
            WIRE 1072 2672 1264 2672
        END BRANCH
        BEGIN BRANCH GX2(7:0)
            WIRE 1072 2736 1264 2736
        END BRANCH
        BEGIN BRANCH GY2(7:0)
            WIRE 1072 2800 1264 2800
        END BRANCH
        BEGIN BRANCH GX1(7:0)
            WIRE 1072 2864 1264 2864
        END BRANCH
        BEGIN BRANCH GY1(7:0)
            WIRE 1072 2928 1264 2928
        END BRANCH
        BEGIN BRANCH GSTARTX(7:0)
            WIRE 1072 3440 1632 3440
            WIRE 1632 3136 2208 3136
            WIRE 2208 3136 2736 3136
            WIRE 1632 3136 1632 3440
            BEGIN DISPLAY 2208 3136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GSTARTY(7:0)
            WIRE 1072 3504 1648 3504
            WIRE 1648 3200 1648 3504
            WIRE 1648 3200 2208 3200
            WIRE 2208 3200 2736 3200
            BEGIN DISPLAY 2208 3200 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GSIZEX(7:0)
            WIRE 1072 3568 1664 3568
            WIRE 1664 3264 1664 3568
            WIRE 1664 3264 2208 3264
            WIRE 2208 3264 2736 3264
            BEGIN DISPLAY 2208 3264 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GSIZEY(7:0)
            WIRE 1072 3632 1680 3632
            WIRE 1680 3328 1680 3632
            WIRE 1680 3328 2208 3328
            WIRE 2208 3328 2736 3328
            BEGIN DISPLAY 2208 3328 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GSMALL
            WIRE 1072 3376 1616 3376
            WIRE 1616 3072 2208 3072
            WIRE 2208 3072 2736 3072
            WIRE 1616 3072 1616 3376
            BEGIN DISPLAY 2208 3072 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GRIDX(7:0)
            WIRE 1072 3696 1696 3696
            WIRE 1696 3392 1696 3696
            WIRE 1696 3392 2208 3392
            WIRE 2208 3392 2736 3392
            BEGIN DISPLAY 2208 3392 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GRIDY(7:0)
            WIRE 1072 3760 1712 3760
            WIRE 1712 3456 1712 3760
            WIRE 1712 3456 2208 3456
            WIRE 2208 3456 2736 3456
            BEGIN DISPLAY 2208 3456 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2049(3:0)
            WIRE 1072 3040 1856 3040
            WIRE 1856 2608 3232 2608
            WIRE 1856 2608 1856 3040
        END BRANCH
        BEGIN BRANCH GCMD_WR
            WIRE 400 3344 688 3344
        END BRANCH
        BEGIN BRANCH TCMD_WR
            WIRE 400 3280 688 3280
        END BRANCH
        BEGIN BRANCH GDONE
            WIRE 1072 3888 1264 3888
        END BRANCH
        BEGIN BRANCH PLOTSYNC
            WIRE 3120 3520 4256 3520
            WIRE 4256 3520 5072 3520
            WIRE 4256 3520 4256 4016
            WIRE 4256 4016 4432 4016
        END BRANCH
        BEGIN BRANCH ADR(3:0)
            WIRE 400 2864 688 2864
        END BRANCH
        BEGIN BRANCH XLXN_2075(7:0)
            WIRE 1072 4016 1904 4016
            WIRE 1904 4016 1904 4176
            WIRE 1904 4176 2736 4176
        END BRANCH
        BEGIN BRANCH XLXN_2076(7:0)
            WIRE 1072 4080 1888 4080
            WIRE 1888 4080 1888 4240
            WIRE 1888 4240 2736 4240
        END BRANCH
        BEGIN BRANCH XLXN_2077(7:0)
            WIRE 1072 4144 1872 4144
            WIRE 1872 4144 1872 4304
            WIRE 1872 4304 2736 4304
        END BRANCH
        BEGIN BRANCH DATA(7:0)
            WIRE 432 2112 592 2112
            WIRE 592 2112 592 2928
            WIRE 592 2928 688 2928
            WIRE 592 1904 592 2112
            WIRE 592 1904 1792 1904
            WIRE 1792 1904 1920 1904
            WIRE 1792 944 1920 944
            WIRE 1792 944 1792 1904
        END BRANCH
        BEGIN INSTANCE XLXI_894 1920 2256 R0
        END INSTANCE
        BEGIN BRANCH RST
            WIRE 432 1712 480 1712
            WIRE 480 1712 480 2672
            WIRE 480 2672 688 2672
            WIRE 480 1712 1232 1712
            WIRE 1232 1712 1680 1712
            WIRE 1680 1712 1920 1712
            WIRE 1232 1712 1232 2576
            WIRE 1232 2576 1264 2576
            WIRE 1680 752 1920 752
            WIRE 1680 752 1680 1712
        END BRANCH
        BEGIN BRANCH VSTART
            WIRE 432 1520 1328 1520
            WIRE 1328 1520 1920 1520
            WIRE 1328 560 1328 1520
            WIRE 1328 560 1920 560
        END BRANCH
        BEGIN BRANCH HSTART
            WIRE 432 1584 1360 1584
            WIRE 1360 1584 1920 1584
            WIRE 1360 624 1360 1584
            WIRE 1360 624 1920 624
        END BRANCH
        BEGIN INSTANCE XLXI_896 4320 3344 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2123
            WIRE 2432 1520 3952 1520
            WIRE 3952 1520 3952 2800
            WIRE 3952 2800 4320 2800
        END BRANCH
        BEGIN BRANCH XLXN_2124
            WIRE 2432 1584 3920 1584
            WIRE 3920 1584 3920 2864
            WIRE 3920 2864 4320 2864
        END BRANCH
        BEGIN BRANCH XLXN_2125
            WIRE 2432 1648 3888 1648
            WIRE 3888 1648 3888 2928
            WIRE 3888 2928 4320 2928
        END BRANCH
        BEGIN BRANCH VCOM
            WIRE 4208 2624 4320 2624
        END BRANCH
        BEGIN BRANCH XLXN_2137
            WIRE 2432 1456 3984 1456
            WIRE 3984 1456 3984 2736
            WIRE 3984 2736 4320 2736
        END BRANCH
        BEGIN BRANCH BLUE(1:0)
            WIRE 4832 2928 4880 2928
        END BRANCH
        BEGIN BRANCH RED(1:0)
            WIRE 4832 2800 4880 2800
        END BRANCH
        BEGIN BRANCH GREEN(1:0)
            WIRE 4832 2864 4880 2864
        END BRANCH
        BEGIN BRANCH SYSCLK50
            WIRE 432 1776 656 1776
            WIRE 656 1776 656 2608
            WIRE 656 2608 688 2608
            WIRE 656 1776 1264 1776
            WIRE 1264 1776 1712 1776
            WIRE 1712 1776 1920 1776
            WIRE 1264 1776 1264 2448
            WIRE 1264 2448 1264 2512
            WIRE 1264 2448 2240 2448
            WIRE 2240 2448 2240 2720
            WIRE 2240 2720 3232 2720
            WIRE 1712 816 1920 816
            WIRE 1712 816 1712 1776
        END BRANCH
        BEGIN INSTANCE XLXI_877 3232 2464 R0
        END INSTANCE
        BEGIN BRANCH FRAMECOLOR(3:0)
            WIRE 1072 3824 3184 3824
            WIRE 3184 3824 3776 3824
            WIRE 3776 3312 4320 3312
            WIRE 3776 3312 3776 3824
            BEGIN DISPLAY 3184 3824 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2135
            WIRE 3120 3008 3392 3008
            WIRE 3392 3008 3392 3120
            WIRE 3392 3120 4320 3120
        END BRANCH
        BEGIN BRANCH HTICK
            WIRE 2432 1776 2544 1776
            WIRE 2544 1776 2544 4000
            WIRE 2544 4000 2736 4000
            WIRE 2544 1776 2880 1776
            BEGIN DISPLAY 2880 1776 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH VTICK
            WIRE 2432 1840 2512 1840
            WIRE 2512 1840 2512 4048
            WIRE 2512 4048 2736 4048
            WIRE 2512 1840 2864 1840
        END BRANCH
        BEGIN BRANCH XLXN_2152(9:0)
            WIRE 2432 2128 2592 2128
            WIRE 2592 2128 2592 2944
            WIRE 2592 2944 2736 2944
        END BRANCH
        BEGIN BRANCH XLXN_2151(9:0)
            WIRE 2432 2080 2640 2080
            WIRE 2640 2080 2640 2880
            WIRE 2640 2880 2736 2880
        END BRANCH
        BEGIN BRANCH PCLK_intern
            WIRE 2432 1712 2688 1712
            WIRE 2688 1712 4192 1712
            WIRE 4192 1712 4192 2112
            WIRE 4192 2112 4192 2560
            WIRE 4192 2560 4320 2560
            WIRE 2688 1712 2688 2400
            WIRE 2688 2400 2688 2768
            WIRE 2688 2768 2688 2816
            WIRE 2688 2816 2736 2816
            WIRE 2688 2816 2688 3952
            WIRE 2688 3952 2736 3952
            WIRE 2688 2768 3232 2768
            BEGIN DISPLAY 2688 2400 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
            BEGIN DISPLAY 4192 2112 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_875 2736 2976 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2128
            WIRE 3120 3072 3344 3072
            WIRE 3344 3072 3344 3184
            WIRE 3344 3184 4320 3184
        END BRANCH
        BEGIN INSTANCE XLXI_889 2736 4272 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2134
            WIRE 3120 4080 3648 4080
            WIRE 3648 2992 3648 4080
            WIRE 3648 2992 4320 2992
        END BRANCH
        BEGIN BRANCH XLXN_2160
            WIRE 3120 4128 3696 4128
            WIRE 3696 3056 4320 3056
            WIRE 3696 3056 3696 4128
        END BRANCH
        BEGIN BRANCH PCLK
            WIRE 432 1456 1296 1456
            WIRE 1296 1456 1920 1456
            WIRE 1296 496 1296 1456
            WIRE 1296 496 1920 496
        END BRANCH
        BEGIN BRANCH BLINK
            WIRE 4816 3888 5072 3888
        END BRANCH
        BEGIN BRANCH XLXN_384
            WIRE 4384 3904 4384 3952
            WIRE 4384 3952 4432 3952
        END BRANCH
        INSTANCE XLXI_193 4320 3904 R0
        INSTANCE XLXI_192 4432 4144 R0
        IOMARKER 432 2112 DATA(7:0) R180 28
        IOMARKER 400 3344 GCMD_WR R180 28
        IOMARKER 400 3280 TCMD_WR R180 28
        IOMARKER 1264 3888 GDONE R0 28
        IOMARKER 5072 3520 PLOTSYNC R0 28
        IOMARKER 400 2864 ADR(3:0) R180 28
        IOMARKER 432 1776 SYSCLK50 R180 28
        IOMARKER 4208 2624 VCOM R180 28
        IOMARKER 4880 2928 BLUE(1:0) R0 28
        IOMARKER 4880 2800 RED(1:0) R0 28
        IOMARKER 4880 2864 GREEN(1:0) R0 28
        IOMARKER 2864 1840 VTICK R0 28
        IOMARKER 5072 3888 BLINK R0 28
        BEGIN BRANCH XLXN_2245
            WIRE 2432 560 4304 560
            WIRE 4304 560 4304 3376
            WIRE 4304 3376 4320 3376
        END BRANCH
        BEGIN INSTANCE XLXI_885 688 2960 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2056
            WIRE 624 1936 1792 1936
            WIRE 1792 1936 1792 2928
            WIRE 624 1936 624 2992
            WIRE 624 2992 688 2992
            WIRE 1648 2928 1792 2928
        END BRANCH
        IOMARKER 432 1712 RST R180 28
        IOMARKER 432 1584 HSTART R180 28
        IOMARKER 432 1520 VSTART R180 28
        IOMARKER 432 1456 PCLK R180 28
        BEGIN INSTANCE XLXI_898 1920 1056 R0
        END INSTANCE
        BEGIN BRANCH BTNREAD(7:0)
            WIRE 2432 944 2448 944
            WIRE 2448 944 2832 944
        END BRANCH
        BEGIN BRANCH XLXN_2283(7:0)
            WIRE 1072 2000 1392 2000
            WIRE 1392 1072 1392 2000
            WIRE 1392 1072 1920 1072
        END BRANCH
        BEGIN BRANCH XLXN_2284(7:0)
            WIRE 1072 2048 1424 2048
            WIRE 1424 1120 1424 2048
            WIRE 1424 1120 1920 1120
        END BRANCH
        BEGIN BRANCH XLXN_2285
            WIRE 1072 2096 1456 2096
            WIRE 1456 1168 1456 2096
            WIRE 1456 1168 1920 1168
        END BRANCH
        BEGIN BRANCH TEXTREAD(7:0)
            WIRE 2432 1904 2864 1904
        END BRANCH
        IOMARKER 2864 1904 TEXTREAD(7:0) R0 28
        BEGIN BRANCH XLXN_2289(7:0)
            WIRE 1072 2224 1552 2224
            WIRE 1552 2080 1920 2080
            WIRE 1552 2080 1552 2224
        END BRANCH
        BEGIN BRANCH XLXN_2290(7:0)
            WIRE 1072 2272 1584 2272
            WIRE 1584 2128 1920 2128
            WIRE 1584 2128 1584 2272
        END BRANCH
        BEGIN BRANCH XLXN_2291(2:0)
            WIRE 1072 2320 1616 2320
            WIRE 1616 2176 1920 2176
            WIRE 1616 2176 1616 2320
        END BRANCH
        BEGIN BRANCH COLORREAD(3:0)
            WIRE 2432 2272 2864 2272
        END BRANCH
        IOMARKER 2864 2272 COLORREAD(3:0) R0 28
        BEGIN BRANCH XLXN_2294
            WIRE 1072 2368 1648 2368
            WIRE 1648 2224 1648 2368
            WIRE 1648 2224 1920 2224
        END BRANCH
        BEGIN BRANCH XLXN_2295(3:0)
            WIRE 1072 2416 1680 2416
            WIRE 1680 2272 1920 2272
            WIRE 1680 2272 1680 2416
        END BRANCH
        IOMARKER 2832 944 BTNREAD(7:0) R0 28
        BEGIN DISPLAY 2456 1136 TEXT "Button Overlay Generator"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2760 2064 TEXT "Timing & Fixed 8x12 Text Generator"
            FONT 40 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
