VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL IRQ_CLR
        SIGNAL RST
        SIGNAL SYSCLK50
        SIGNAL XLXN_12
        SIGNAL XLXN_14
        BEGIN SIGNAL int_rst
        END SIGNAL
        SIGNAL XLXN_22
        SIGNAL XLXN_23
        SIGNAL IRQ_ACK
        SIGNAL XLXN_27
        SIGNAL XLXN_28
        SIGNAL XLXN_29
        SIGNAL irq_read
        SIGNAL INT_3
        SIGNAL INT_2
        SIGNAL INT_1
        SIGNAL INT_0
        SIGNAL XLXN_35
        SIGNAL XLXN_36
        SIGNAL XLXN_38
        SIGNAL XLXN_39
        SIGNAL XLXN_40
        SIGNAL XLXN_42
        SIGNAL XLXN_51
        SIGNAL XLXN_53
        SIGNAL XLXN_54
        SIGNAL IRQ
        SIGNAL IRQ_SRC(7:0)
        SIGNAL int(7:0)
        SIGNAL XLXN_60
        SIGNAL XLXN_61
        SIGNAL XLXN_62
        SIGNAL XLXN_63
        SIGNAL XLXN_64
        SIGNAL int_write
        SIGNAL XLXN_66
        SIGNAL XLXN_69
        SIGNAL XLXN_70
        SIGNAL int(0)
        SIGNAL int(1)
        SIGNAL int(2)
        SIGNAL int(3)
        SIGNAL XLXN_76
        SIGNAL XLXN_77
        SIGNAL XLXN_78
        SIGNAL XLXN_79
        SIGNAL int(7:4)
        PORT Input IRQ_CLR
        PORT Input RST
        PORT Input SYSCLK50
        PORT Input IRQ_ACK
        PORT Input INT_3
        PORT Input INT_2
        PORT Input INT_1
        PORT Input INT_0
        PORT Output IRQ
        PORT Output IRQ_SRC(7:0)
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF bbfifo_16x8
            TIMESTAMP 2009 4 9 12 48 48
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd4ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 0 -384 64 -384 
            LINE N 0 -448 64 -448 
            LINE N 0 -320 64 -320 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF or4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 192 -160 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -208 48 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_10 or2
            PIN I0 RST
            PIN I1 IRQ_CLR
            PIN O int_rst
        END BLOCK
        BEGIN BLOCK XLXI_14 fd
            PIN C SYSCLK50
            PIN D IRQ_ACK
            PIN Q XLXN_27
        END BLOCK
        BEGIN BLOCK XLXI_21 and2b1
            PIN I0 XLXN_27
            PIN I1 IRQ_ACK
            PIN O irq_read
        END BLOCK
        BEGIN BLOCK XLXI_33 fd4ce
            PIN C SYSCLK50
            PIN CE XLXN_51
            PIN CLR int_rst
            PIN D0 INT_0
            PIN D1 INT_1
            PIN D2 INT_2
            PIN D3 INT_3
            PIN Q0 XLXN_69
            PIN Q1 XLXN_53
            PIN Q2 XLXN_54
            PIN Q3 XLXN_60
        END BLOCK
        BEGIN BLOCK XLXI_34 vcc
            PIN P XLXN_51
        END BLOCK
        BEGIN BLOCK XLXI_35 and2b1
            PIN I0 XLXN_53
            PIN I1 INT_1
            PIN O XLXN_77
        END BLOCK
        BEGIN BLOCK XLXI_36 and2b1
            PIN I0 XLXN_54
            PIN I1 INT_2
            PIN O XLXN_78
        END BLOCK
        BEGIN BLOCK XLXI_12 bbfifo_16x8
            PIN reset int_rst
            PIN write int_write
            PIN read irq_read
            PIN clk SYSCLK50
            PIN data_in(7:0) int(7:0)
            PIN full
            PIN half_full
            PIN data_present IRQ
            PIN data_out(7:0) IRQ_SRC(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_38 and2b1
            PIN I0 XLXN_60
            PIN I1 INT_3
            PIN O XLXN_79
        END BLOCK
        BEGIN BLOCK XLXI_39 or4
            PIN I0 XLXN_79
            PIN I1 XLXN_78
            PIN I2 XLXN_77
            PIN I3 XLXN_76
            PIN O int_write
        END BLOCK
        BEGIN BLOCK XLXI_40 and2b1
            PIN I0 XLXN_69
            PIN I1 INT_0
            PIN O XLXN_76
        END BLOCK
        BEGIN BLOCK XLXI_22 buf
            PIN I XLXN_76
            PIN O int(0)
        END BLOCK
        BEGIN BLOCK XLXI_23 buf
            PIN I XLXN_77
            PIN O int(1)
        END BLOCK
        BEGIN BLOCK XLXI_24 buf
            PIN I XLXN_78
            PIN O int(2)
        END BLOCK
        BEGIN BLOCK XLXI_25 buf
            PIN I XLXN_79
            PIN O int(3)
        END BLOCK
        BEGIN BLOCK XLXI_30(7:4) gnd
            PIN G int(7:4)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH IRQ_CLR
            WIRE 1744 624 1888 624
        END BRANCH
        BEGIN BRANCH RST
            WIRE 1744 688 1888 688
        END BRANCH
        INSTANCE XLXI_10 1888 752 R0
        IOMARKER 1744 624 IRQ_CLR R180 28
        IOMARKER 1744 688 RST R180 28
        BEGIN BRANCH IRQ_ACK
            WIRE 480 2128 896 2128
            WIRE 896 2128 1408 2128
            WIRE 1408 2128 1408 2208
            WIRE 1408 2208 1424 2208
            WIRE 896 2128 896 2272
            WIRE 896 2272 960 2272
        END BRANCH
        IOMARKER 480 2128 IRQ_ACK R180 28
        INSTANCE XLXI_14 960 2528 R0
        BEGIN BRANCH XLXN_27
            WIRE 1344 2272 1424 2272
        END BRANCH
        INSTANCE XLXI_21 1424 2336 R0
        BEGIN BRANCH irq_read
            WIRE 1680 2240 2240 2240
            WIRE 2240 2240 2608 2240
            WIRE 2608 960 2656 960
            WIRE 2608 960 2608 2240
            BEGIN DISPLAY 2243 2240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 240 1024 SYSCLK50 R180 28
        IOMARKER 192 1296 INT_0 R180 28
        IOMARKER 192 1360 INT_1 R180 28
        IOMARKER 192 1424 INT_2 R180 28
        IOMARKER 192 1488 INT_3 R180 28
        INSTANCE XLXI_33 912 1744 R0
        BEGIN BRANCH XLXN_51
            WIRE 288 1232 288 1552
            WIRE 288 1552 912 1552
        END BRANCH
        BEGIN BRANCH int_rst
            WIRE 336 1712 912 1712
            BEGIN DISPLAY 336 1712 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_35 1664 1424 R0
        BEGIN BRANCH XLXN_53
            WIRE 1296 1360 1664 1360
        END BRANCH
        BEGIN BRANCH XLXN_54
            WIRE 1296 1424 1984 1424
        END BRANCH
        BEGIN BRANCH IRQ
            WIRE 3040 960 3136 960
        END BRANCH
        BEGIN BRANCH IRQ_SRC(7:0)
            WIRE 3040 1024 3136 1024
        END BRANCH
        BEGIN BRANCH int(7:0)
            WIRE 2464 1088 2656 1088
            BEGIN DISPLAY 2464 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_12 2656 1120 R0
        END INSTANCE
        IOMARKER 3136 960 IRQ R0 28
        IOMARKER 3136 1024 IRQ_SRC(7:0) R0 28
        BEGIN BRANCH int_rst
            WIRE 2144 656 2208 656
            WIRE 2208 656 2560 656
            WIRE 2560 656 2560 832
            WIRE 2560 832 2656 832
            BEGIN DISPLAY 2208 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_36 1984 1488 R0
        BEGIN BRANCH XLXN_60
            WIRE 1296 1488 2304 1488
        END BRANCH
        INSTANCE XLXI_38 2304 1552 R0
        INSTANCE XLXI_39 2752 1520 R0
        BEGIN BRANCH int_write
            WIRE 2560 896 2656 896
            WIRE 2560 896 2560 1200
            WIRE 2560 1200 3040 1200
            WIRE 3040 1200 3040 1360
            WIRE 3008 1360 3040 1360
        END BRANCH
        INSTANCE XLXI_34 224 1232 R0
        INSTANCE XLXI_40 1376 1360 R0
        BEGIN BRANCH XLXN_69
            WIRE 1296 1296 1376 1296
        END BRANCH
        BEGIN BRANCH SYSCLK50
            WIRE 240 1024 560 1024
            WIRE 560 1024 2656 1024
            WIRE 560 1024 560 1616
            WIRE 560 1616 560 2400
            WIRE 560 2400 960 2400
            WIRE 560 1616 912 1616
        END BRANCH
        BEGIN BRANCH INT_0
            WIRE 192 1296 400 1296
            WIRE 400 1296 912 1296
            WIRE 400 1152 400 1296
            WIRE 400 1152 1328 1152
            WIRE 1328 1152 1328 1232
            WIRE 1328 1232 1376 1232
        END BRANCH
        BEGIN BRANCH INT_1
            WIRE 192 1360 432 1360
            WIRE 432 1360 912 1360
            WIRE 432 1136 432 1360
            WIRE 432 1136 1648 1136
            WIRE 1648 1136 1648 1296
            WIRE 1648 1296 1664 1296
        END BRANCH
        BEGIN BRANCH INT_2
            WIRE 192 1424 464 1424
            WIRE 464 1424 912 1424
            WIRE 464 1120 464 1424
            WIRE 464 1120 1968 1120
            WIRE 1968 1120 1968 1360
            WIRE 1968 1360 1984 1360
        END BRANCH
        BEGIN BRANCH INT_3
            WIRE 192 1488 496 1488
            WIRE 496 1488 912 1488
            WIRE 496 1104 496 1488
            WIRE 496 1104 2288 1104
            WIRE 2288 1104 2288 1424
            WIRE 2288 1424 2304 1424
        END BRANCH
        INSTANCE XLXI_22 2832 1744 R0
        INSTANCE XLXI_23 2832 1808 R0
        INSTANCE XLXI_24 2832 1872 R0
        INSTANCE XLXI_25 2832 1936 R0
        BEGIN BRANCH int(0)
            WIRE 3056 1712 3088 1712
            BEGIN DISPLAY 3088 1712 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH int(1)
            WIRE 3056 1776 3088 1776
            BEGIN DISPLAY 3088 1776 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH int(2)
            WIRE 3056 1840 3088 1840
            BEGIN DISPLAY 3088 1840 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH int(3)
            WIRE 3056 1904 3088 1904
            BEGIN DISPLAY 3088 1904 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_76
            WIRE 1632 1264 2720 1264
            WIRE 2720 1264 2752 1264
            WIRE 2720 1264 2720 1712
            WIRE 2720 1712 2832 1712
        END BRANCH
        BEGIN BRANCH XLXN_77
            WIRE 1920 1328 2704 1328
            WIRE 2704 1328 2752 1328
            WIRE 2704 1328 2704 1776
            WIRE 2704 1776 2832 1776
        END BRANCH
        BEGIN BRANCH XLXN_78
            WIRE 2240 1392 2688 1392
            WIRE 2688 1392 2752 1392
            WIRE 2688 1392 2688 1840
            WIRE 2688 1840 2832 1840
        END BRANCH
        BEGIN BRANCH XLXN_79
            WIRE 2560 1456 2672 1456
            WIRE 2672 1456 2752 1456
            WIRE 2672 1456 2672 1904
            WIRE 2672 1904 2832 1904
        END BRANCH
        INSTANCE XLXI_30(7:4) 2944 2160 R0
        BEGIN BRANCH int(7:4)
            WIRE 3008 1984 3088 1984
            WIRE 3008 1984 3008 2032
            BEGIN DISPLAY 3088 1984 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
