VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_892(3:0)
        SIGNAL XLXN_917(31:0)
        SIGNAL ClkIn
        SIGNAL F_MISO
        SIGNAL F_MOSI
        SIGNAL F_SCK
        SIGNAL F_RS
        SIGNAL F_DS
        SIGNAL F_INT
        SIGNAL SYSCLK
        SIGNAL VCOM
        SIGNAL PCLK
        SIGNAL HSTART
        SIGNAL VSTART
        SIGNAL XLXN_384
        SIGNAL XLXN_1764
        SIGNAL TestLED
        SIGNAL XLXN_1774
        SIGNAL RED(1)
        SIGNAL GREEN(1)
        SIGNAL BLUE(1)
        SIGNAL BLUE(1:0)
        SIGNAL RED(1:0)
        SIGNAL GREEN(1:0)
        PORT Input ClkIn
        PORT Output F_MISO
        PORT Input F_MOSI
        PORT Input F_SCK
        PORT Input F_RS
        PORT Input F_DS
        PORT Output F_INT
        PORT Input VCOM
        PORT Input PCLK
        PORT Input HSTART
        PORT Input VSTART
        PORT Output TestLED
        PORT Output BLUE(1:0)
        PORT Output RED(1:0)
        PORT Output GREEN(1:0)
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_LRC
            TIMESTAMP 2009 6 9 14 35 58
            LINE N 384 32 448 32 
            LINE N 384 96 448 96 
            LINE N 384 160 448 160 
            LINE N 384 224 448 224 
            RECTANGLE N 384 -108 448 -84 
            LINE N 384 -96 448 -96 
            LINE N 384 -992 448 -992 
            RECTANGLE N 384 -684 448 -660 
            LINE N 384 -672 448 -672 
            RECTANGLE N 384 -620 448 -596 
            LINE N 384 -608 448 -608 
            RECTANGLE N 384 -556 448 -532 
            LINE N 384 -544 448 -544 
            RECTANGLE N 384 -492 448 -468 
            LINE N 384 -480 448 -480 
            LINE N 384 -928 448 -928 
            LINE N 384 -864 448 -864 
            LINE N 384 -800 448 -800 
            LINE N 384 -736 448 -736 
            LINE N 384 -160 448 -160 
            LINE N 384 -224 448 -224 
            RECTANGLE N 384 -300 448 -276 
            LINE N 384 -288 448 -288 
            LINE N 0 -992 -64 -992 
            LINE N 0 -928 -64 -928 
            LINE N 0 -864 -64 -864 
            LINE N 0 -800 -64 -800 
            LINE N 0 -736 -64 -736 
            RECTANGLE N -64 -684 0 -660 
            LINE N 0 -672 -64 -672 
            RECTANGLE N -64 -620 0 -596 
            LINE N 0 -608 -64 -608 
            RECTANGLE N -64 -556 0 -532 
            LINE N 0 -544 -64 -544 
            RECTANGLE N -64 -492 0 -468 
            LINE N 0 -480 -64 -480 
            RECTANGLE N -64 -428 0 -404 
            LINE N 0 -416 -64 -416 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
            RECTANGLE N 0 -1024 384 256 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4re
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -512 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF xnor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 60 -128 
            ARC N -40 -152 72 -40 48 -48 44 -144 
            ARC N -24 -152 88 -40 64 -48 64 -144 
            LINE N 128 -144 64 -144 
            LINE N 128 -48 64 -48 
            ARC N 44 -144 220 32 208 -96 128 -144 
            ARC N 44 -224 220 -48 128 -48 208 -96 
            CIRCLE N 212 -104 228 -88 
            LINE N 228 -96 256 -96 
            LINE N 60 -28 60 -28 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF tft_text_bigfont
            TIMESTAMP 2010 6 24 16 52 5
            RECTANGLE N 64 -592 448 0 
            LINE N 64 -496 0 -496 
            LINE N 64 -432 0 -432 
            LINE N 64 -304 0 -304 
            LINE N 64 -240 0 -240 
            LINE N 64 -176 0 -176 
            RECTANGLE N 0 -124 64 -100 
            LINE N 64 -112 0 -112 
            RECTANGLE N 0 -60 64 -36 
            LINE N 64 -48 0 -48 
            RECTANGLE N 448 -60 512 -36 
            LINE N 448 -48 512 -48 
            LINE N 448 -240 512 -240 
            LINE N 448 -176 512 -176 
            LINE N 64 -560 0 -560 
            LINE N 512 -304 448 -304 
            LINE N 448 -496 512 -496 
        END BLOCKDEF
        BEGIN BLOCK XLXI_833 ibufg
            PIN I ClkIn
            PIN O SYSCLK
        END BLOCK
        BEGIN BLOCK XLXI_980 SPI_LRC
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN D3(31:0) XLXN_917(31:0)
            PIN D2(31:0)
            PIN D1(31:0)
            PIN D0(31:0)
            PIN SYSCLK SYSCLK
            PIN BASEADR(3:0) XLXN_892(3:0)
            PIN RAMD_RD(31:0)
            PIN Q0(31:0)
            PIN Q1(31:0)
            PIN Q2(31:0)
            PIN Q3(31:0)
            PIN STROBE0
            PIN STROBE1
            PIN STROBE2
            PIN STROBE3
            PIN LC_OEN
            PIN LC_WEN
            PIN LC_ADDR(18:0)
            PIN RAMD_WR(31:0)
            PIN F_MISO F_MISO
            PIN LC_ENA_0
            PIN LC_ENA_1
            PIN LC_ENA_2
            PIN LC_ENA_3
        END BLOCK
        BEGIN BLOCK XLXI_759 constant
            BEGIN ATTR CValue "10122009"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_917(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_341 constant
            BEGIN ATTR CValue "0"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_892(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_1013 gnd
            PIN G F_INT
        END BLOCK
        BEGIN BLOCK XLXI_193 vcc
            PIN P XLXN_384
        END BLOCK
        BEGIN BLOCK XLXI_192 cb4re
            PIN C XLXN_1764
            PIN CE XLXN_384
            PIN R
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 TestLED
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_1010 xnor2
            PIN I0 VCOM
            PIN I1 XLXN_1774
            PIN O RED(1)
        END BLOCK
        BEGIN BLOCK XLXI_1011 xnor2
            PIN I0 VCOM
            PIN I1 XLXN_1774
            PIN O GREEN(1)
        END BLOCK
        BEGIN BLOCK XLXI_1012 xnor2
            PIN I0 VCOM
            PIN I1 XLXN_1774
            PIN O BLUE(1)
        END BLOCK
        BEGIN BLOCK XLXI_1014 tft_text_bigfont
            PIN PCLK_i PCLK
            PIN VSTART_i VSTART
            PIN HSTART_i HSTART
            PIN RST
            PIN SYSCLK50 SYSCLK
            PIN RAMWR
            PIN RAMDASCII(7:0)
            PIN RAMADR(11:0)
            PIN VIDEO XLXN_1774
            PIN PCLK
            PIN HTICK
            PIN VTICK XLXN_1764
            PIN READASCII(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        ATTR LengthUnitName "Inch"
        ATTR GridsPerUnit "10"
        BEGIN BRANCH XLXN_892(3:0)
            WIRE 208 1744 320 1744
            WIRE 320 1696 320 1744
            WIRE 320 1696 512 1696
        END BRANCH
        BEGIN BRANCH XLXN_917(31:0)
            WIRE 208 1632 512 1632
        END BRANCH
        BEGIN BRANCH ClkIn
            WIRE 176 832 208 832
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 240 704 1072 704
            WIRE 1072 704 1072 1120
            WIRE 1024 1120 1072 1120
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 256 1376 512 1376
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 256 1312 512 1312
        END BRANCH
        BEGIN BRANCH F_RS
            WIRE 256 1248 512 1248
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 256 1184 512 1184
        END BRANCH
        INSTANCE XLXI_833 208 864 R0
        BEGIN INSTANCE XLXI_980 576 2112 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_759 64 1600 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_341 64 1712 R0
        END INSTANCE
        BEGIN DISPLAY 72 1840 TEXT "SPI 64..67"
            FONT 40 "Arial"
        END DISPLAY
        INSTANCE XLXI_1013 288 592 R0
        BEGIN BRANCH F_INT
            WIRE 352 384 352 464
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 432 832 448 832
            WIRE 448 832 448 1120
            WIRE 448 1120 512 1120
            WIRE 448 832 1728 832
        END BRANCH
        BEGIN BRANCH VCOM
            WIRE 2400 256 2448 256
            WIRE 2448 256 2448 576
            WIRE 2448 576 2544 576
            WIRE 2448 576 2448 720
            WIRE 2448 720 2544 720
            WIRE 2448 720 2448 864
            WIRE 2448 864 2544 864
        END BRANCH
        BEGIN BRANCH PCLK
            WIRE 1696 512 1728 512
        END BRANCH
        BEGIN BRANCH HSTART
            WIRE 1696 640 1728 640
        END BRANCH
        BEGIN BRANCH VSTART
            WIRE 1696 576 1728 576
        END BRANCH
        BEGIN BRANCH XLXN_384
            WIRE 2480 1776 2480 1824
            WIRE 2480 1824 2528 1824
        END BRANCH
        INSTANCE XLXI_193 2416 1776 R0
        INSTANCE XLXI_192 2528 2016 R0
        BEGIN BRANCH XLXN_1764
            WIRE 2240 896 2384 896
            WIRE 2384 896 2384 1888
            WIRE 2384 1888 2528 1888
        END BRANCH
        BEGIN BRANCH TestLED
            WIRE 2912 1760 3088 1760
        END BRANCH
        INSTANCE XLXI_1010 2544 640 R0
        INSTANCE XLXI_1011 2544 784 R0
        INSTANCE XLXI_1012 2544 928 R0
        BEGIN BRANCH XLXN_1774
            WIRE 2240 576 2384 576
            WIRE 2384 576 2384 656
            WIRE 2384 656 2544 656
            WIRE 2384 656 2384 800
            WIRE 2384 800 2544 800
            WIRE 2384 512 2384 576
            WIRE 2384 512 2544 512
        END BRANCH
        BEGIN BRANCH RED(1)
            WIRE 2800 544 2832 544
            BEGIN DISPLAY 2832 544 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GREEN(1)
            WIRE 2800 688 2832 688
            BEGIN DISPLAY 2832 688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BLUE(1)
            WIRE 2800 832 2832 832
            BEGIN DISPLAY 2832 832 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BLUE(1:0)
            WIRE 3184 1072 3232 1072
        END BRANCH
        BEGIN BRANCH RED(1:0)
            WIRE 3184 944 3232 944
        END BRANCH
        BEGIN BRANCH GREEN(1:0)
            WIRE 3184 1008 3232 1008
        END BRANCH
        IOMARKER 256 1376 F_MOSI R180 28
        IOMARKER 256 1184 F_DS R180 28
        IOMARKER 256 1312 F_SCK R180 28
        IOMARKER 256 1248 F_RS R180 28
        IOMARKER 240 704 F_MISO R180 28
        IOMARKER 176 832 ClkIn R180 28
        IOMARKER 352 384 F_INT R270 28
        IOMARKER 1696 512 PCLK R180 28
        IOMARKER 1696 640 HSTART R180 28
        IOMARKER 1696 576 VSTART R180 28
        IOMARKER 3088 1760 TestLED R0 28
        IOMARKER 2400 256 VCOM R180 28
        IOMARKER 3232 1072 BLUE(1:0) R0 28
        IOMARKER 3232 944 RED(1:0) R0 28
        IOMARKER 3232 1008 GREEN(1:0) R0 28
        BEGIN INSTANCE XLXI_1014 1728 1072 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
