----------------------------------------------------------------------------------
-- Company: c't-Lab
-- Engineer: Carsten Meyer
-- 
-- Create Date:    17:17:17 04/27/2008 
-- Design Name: 
-- Module Name:    mux8x2 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 4fach Input Multiplexer fr SPI-Ausgangsschieberegister
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity mux8x2 is
    Port ( 		SEL: in STD_LOGIC;
				D0 : in  STD_LOGIC_VECTOR (7 downto 0);
				D1 : in  STD_LOGIC_VECTOR (7 downto 0);
				Q : out STD_LOGIC_VECTOR (7 downto 0) );
end mux8x2;

architecture Behavioral of mux8x2 is

begin
Q <= D1 when SEL='1' else D0;
end Behavioral;

